Package org.eclipse.emf.cdo.ui

## Class CDOInteractiveExceptionHandler

- java.lang.Object
- - org.eclipse.emf.cdo.ui.CDOInteractiveExceptionHandler

- All Implemented Interfaces:
    `CDOSession.ExceptionHandler`, `org.eclipse.net4j.util.container.IElementProcessor`

      public class CDOInteractiveExceptionHandler
      extends java.lang.Object
      implements CDOSession.ExceptionHandler, org.eclipse.net4j.util.container.IElementProcessor

  A `CDOSession` `ExceptionHandler` implementation that shows exception information on a UI `dialog`
  Since:
    2.0
  Author:
    Eike Stepper
  See Also:
    `CDOSession.ExceptionHandler`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CDOInteractiveExceptionHandler.ExceptionDialog` | A dialog that shows CDO related exceptions in a convenient manner.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOInteractiveExceptionHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Dialog` | `createDialog​(CDOSession session, int attempt, java.lang.Exception exception)` |
    `protected Shell` | `getParentShell()` |
    `void` | `handleException​(CDOSession session, int attempt, java.lang.Exception exception)` |
    `java.lang.Object` | `process​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, java.lang.Object element)` |
    `protected java.lang.Object` | `processSession​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, InternalCDOSession session)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOInteractiveExceptionHandler

          public CDOInteractiveExceptionHandler()

  - ### Method Detail

    - #### handleException

          public void handleException​(CDOSession session,
                                      int attempt,
                                      java.lang.Exception exception)
                               throws java.lang.Exception

      Specified by:
        `handleException` in interface `CDOSession.ExceptionHandler`
      Throws:
        `java.lang.Exception`
      Since:
        4.0

    - #### process

          public java.lang.Object process​(org.eclipse.net4j.util.container.IManagedContainer container,
                                          java.lang.String productGroup,
                                          java.lang.String factoryType,
                                          java.lang.String description,
                                          java.lang.Object element)

      Specified by:
        `process` in interface `org.eclipse.net4j.util.container.IElementProcessor`

    - #### processSession

          protected java.lang.Object processSession​(org.eclipse.net4j.util.container.IManagedContainer container,
                                                    java.lang.String productGroup,
                                                    java.lang.String factoryType,
                                                    java.lang.String description,
                                                    InternalCDOSession session)

    - #### getParentShell

          protected Shell getParentShell()

    - #### createDialog

          protected Dialog createDialog​(CDOSession session,
                                        int attempt,
                                        java.lang.Exception exception)